OverlayW3CDOMStreamWriter (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.staxutils

## Class OverlayW3CDOMStreamWriter

- java.lang.Object
- - org.apache.cxf.staxutils.W3CDOMStreamWriter
  - - org.apache.cxf.staxutils.OverlayW3CDOMStreamWriter

- All Implemented Interfaces:
    `XMLStreamWriter`

      public class OverlayW3CDOMStreamWriter
      extends W3CDOMStreamWriter

  Special StreamWriter that will "overlay" any write events onto the DOM. If the startElement ends up writing an element that already exists at that location, it will just walk into it instead of creating a new element

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `isOverlaid` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OverlayW3CDOMStreamWriter​(Document document)` |
    `OverlayW3CDOMStreamWriter​(Document doc, DocumentFragment frag)` |
    `OverlayW3CDOMStreamWriter​(Document doc, Element e)` |
    `OverlayW3CDOMStreamWriter​(Element e)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `adjustOverlaidNode​(Node nd2, String pfx)` |
    `protected void` | `createAndAddElement​(String prefix, String local, String namespace)` |
    `void` | `writeCharacters​(String text)` |
    `void` | `writeEndElement()` |
    `void` | `writeStartElement​(String local)` |
    `void` | `writeStartElement​(String namespace, String local)` |
    `void` | `writeStartElement​(String prefix, String local, String namespace)` |

    - ### Methods inherited from class org.apache.cxf.staxutils.W3CDOMStreamWriter

      `close, createElementNS, flush, getCurrentFragment, getCurrentNode, getDocument, getNamespaceContext, getPrefix, getProperty, isNsRepairing, newChild, setChild, setDefaultNamespace, setNamespaceContext, setNsRepairing, setPrefix, setProperties, toString, writeAttribute, writeAttribute, writeAttribute, writeCData, writeCharacters, writeComment, writeDefaultNamespace, writeDTD, writeEmptyElement, writeEmptyElement, writeEmptyElement, writeEndDocument, writeEntityRef, writeNamespace, writeProcessingInstruction, writeProcessingInstruction, writeStartDocument, writeStartDocument, writeStartDocument`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### isOverlaid

          protected boolean isOverlaid

  - ### Constructor Detail

    - #### OverlayW3CDOMStreamWriter

          public OverlayW3CDOMStreamWriter​(Document document)

    - #### OverlayW3CDOMStreamWriter

          public OverlayW3CDOMStreamWriter​(Element e)

    - #### OverlayW3CDOMStreamWriter

          public OverlayW3CDOMStreamWriter​(Document doc,
                                           Element e)

    - #### OverlayW3CDOMStreamWriter

          public OverlayW3CDOMStreamWriter​(Document doc,
                                           DocumentFragment frag)

  - ### Method Detail

    - #### createAndAddElement

          protected void createAndAddElement​(String prefix,
                                             String local,
                                             String namespace)

      Overrides:
        `createAndAddElement` in class `W3CDOMStreamWriter`

    - #### writeEndElement

          public void writeEndElement()
                               throws XMLStreamException

      Specified by:
        `writeEndElement` in interface `XMLStreamWriter`
      Overrides:
        `writeEndElement` in class `W3CDOMStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeStartElement

          public void writeStartElement​(String local)
                                 throws XMLStreamException

      Specified by:
        `writeStartElement` in interface `XMLStreamWriter`
      Overrides:
        `writeStartElement` in class `W3CDOMStreamWriter`
      Throws:
        `XMLStreamException`

    - #### adjustOverlaidNode

          protected void adjustOverlaidNode​(Node nd2,
                                            String pfx)

    - #### writeStartElement

          public void writeStartElement​(String namespace,
                                        String local)
                                 throws XMLStreamException

      Specified by:
        `writeStartElement` in interface `XMLStreamWriter`
      Overrides:
        `writeStartElement` in class `W3CDOMStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeStartElement

          public void writeStartElement​(String prefix,
                                        String local,
                                        String namespace)
                                 throws XMLStreamException

      Specified by:
        `writeStartElement` in interface `XMLStreamWriter`
      Overrides:
        `writeStartElement` in class `W3CDOMStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeCharacters

          public void writeCharacters​(String text)
                               throws XMLStreamException

      Specified by:
        `writeCharacters` in interface `XMLStreamWriter`
      Overrides:
        `writeCharacters` in class `W3CDOMStreamWriter`
      Throws:
        `XMLStreamException`